Store
The Store object
idstringoptionalPublic identifier of the store.
namestringoptionalStore name.
descriptionstringoptionalStore description.
websitestringoptionalStore website URL.
emailstringoptionalStore email address.
phonestringoptionalStore phone number.
tagsarray of stringsoptionalStore tags.
currencycurrencyoptionalStore currency code.
countrystringoptionalCountry code derived from the store currency.
optionsobjectoptionalPublic store option values.
logo_urlstringoptionalStore logo URL.
backdrop_urlstringoptionalStore backdrop image URL.
ratingnumberoptionalStore rating.
onlinebooleanoptionalWhether the store is online.
alertablebooleanoptionalWhether the store can receive order alerts.
is_networkbooleanoptionalWhether the resource is a storefront network.
is_storebooleanoptionalWhether the resource is a store.
created_attimestampoptionalTime the store was created.
updated_attimestampoptionalTime the store was last updated.
{
"id": "store_3Xb9kL2",
"name": "Acme Market",
"description": "Local grocery and delivery.",
"website": "https://example.com",
"email": "orders@example.com",
"phone": "+15555550100",
"tags": [
"grocery"
],
"currency": "USD",
"country": "US",
"options": {},
"logo_url": "https://files.example.com/logo.png",
"backdrop_url": null,
"rating": 4.8,
"online": true,
"alertable": true,
"is_network": false,
"is_store": true,
"slug": "acme-market",
"created_at": "2026-05-07T09:30:00Z",
"updated_at": "2026-05-07T09:30:00Z"
}/v1/searchSearch Store
Search Storefront
querystringoptionalQuery value for this store request.
limitstringoptionalLimit value for this store request.
offsetstringoptionalOffset value for this store request.
/v1/searchcurl https://api.fleetbase.io/v1/search?query=&limit=&offset= \
-H "Authorization: Bearer flb_live_…"/v1/aboutAbout Store
About Store
/v1/aboutcurl https://api.fleetbase.io/v1/about \
-H "Authorization: Bearer flb_live_…"/v1/lookupLookup Store
Lookup Store
/v1/lookupcurl https://api.fleetbase.io/v1/lookup \
-H "Authorization: Bearer flb_live_…"/v1/locationsList Locations
List Locations
/v1/locationscurl https://api.fleetbase.io/v1/locations \
-H "Authorization: Bearer flb_live_…"/v1/locationsRetrieve Location
Retrieve Location
/v1/locationscurl https://api.fleetbase.io/v1/locations \
-H "Authorization: Bearer flb_live_…"/v1/storesList Network Stores
List Network Stores
querystringoptionalQuery value for this store request.
limitstringoptionalLimit value for this store request.
offsetstringoptionalOffset value for this store request.
storestringoptionalStore value for this store request.
/v1/storescurl https://api.fleetbase.io/v1/stores?query=&limit=&offset=&store= \
-H "Authorization: Bearer flb_live_…"/v1/gatewaysPayment gateways for the current store
Payment gateways for the current store
limitstringoptionalLimit value for this store request.
offsetstringoptionalOffset value for this store request.
/v1/gatewayscurl https://api.fleetbase.io/v1/gateways?limit=&offset= \
-H "Authorization: Bearer flb_live_…"/v1/gateways/{id}Specific payment gateway given the id
Specific payment gateway given the id
/v1/gateways/{id}curl https://api.fleetbase.io/v1/gateways/{id} \
-H "Authorization: Bearer flb_live_…"